> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Consumo giornaliero utente

> Restituisce il consumo giornaliero per un utente specifico

Richiede la chiave API personale di un amministratore Enterprise.

Restituisce i dati di consumo giornaliero in ACU per un utente specifico all'interno della tua organizzazione Enterprise.

<div id="timezone-behavior">
  ## Comportamento del fuso orario
</div>

I cicli di fatturazione utilizzano la **mezzanotte PST (Pacific Standard Time)** come limite della giornata, che corrisponde alle **08:00:00 UTC**. Per far corrispondere i dati di consumo mostrati nella dashboard di Devin, devi fornire timestamp con questo offset di fuso orario. Consulta [Consumo giornaliero](/it/api-reference/v2/consumption/daily-consumption#timezone-behavior) per dettagli ed esempi.

<div id="filtering-by-organization">
  ## Filtraggio per organizzazione
</div>

Quando si filtrano i risultati per `org_ids`, verranno incluse solo le ACU di sessione Devin. Le ACU consumate da Cascade e Terminal vengono omesse, poiché l’utilizzo di questi prodotti non è legato ad alcuna organizzazione.


## OpenAPI

````yaml it/v2-openapi.yaml GET /v2/enterprise/consumption/daily/{user_id}
openapi: 3.1.0
info:
  description: API Devin v2 con Personal API Keys per gli amministratori Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/consumption/daily/{user_id}:
    get:
      tags:
        - consumption
      summary: Endpoint per il consumo giornaliero dell’utente
      description: >-
        Restituisce il consumo giornaliero per un utente specifico. Per
        impostazione predefinita viene utilizzato il ciclo di fatturazione
        corrente.


        **Comportamento del fuso orario**: i cicli di fatturazione utilizzano la
        mezzanotte PST (Pacific Standard Time)

        come delimitatore del giorno, che corrisponde alle 08:00:00 UTC. Per
        allineare i dati di consumo

        mostrati nella dashboard di Devin, passa timestamp che utilizzino questo
        offset di fuso orario

        (ad es. `2025-12-05T08:00:00Z` per il 5 dicembre 2025 PST).
      operationId: >-
        user_daily_consumption_endpoint_v2_enterprise_consumption_daily__user_id__get
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            title: User Id
            type: string
        - in: query
          name: start_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start Date
        - in: query
          name: end_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End Date
        - in: query
          name: start
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start
        - in: query
          name: end
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End
        - in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Org Ids
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserConsumptionResponse'
          description: Risposta con esito positivo
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di convalida
components:
  schemas:
    UserConsumptionResponse:
      properties:
        consumption_by_date:
          additionalProperties:
            type: number
          propertyNames:
            format: date
          title: Consumption By Date
          type: object
        consumption_by_org_id:
          additionalProperties:
            type: number
          title: Consumption By Org Id
          type: object
        total_acus:
          title: Total Acus
          type: number
      required:
        - total_acus
        - consumption_by_date
        - consumption_by_org_id
      title: UserConsumptionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personale (apk_user_*) riservata agli amministratori Enterprise
      scheme: bearer
      type: http

````